# database_conn_monitoring


Make sure python is installed, then run:

    pip install -r requirements.txt

to add the required dependencies.

To run the monitoring program:

    python users.py -d DATABASE -u USER [-p PASSWORD] [--host HOST] [--port PORT]

This will create a schema `monitoring` which has a table `monitor`
in it if they don't exist already. Then it will append a row for each user
logged on to the database. This will contain the name of the database accessed,
the application making the query (if set), the IP address and name (if
resolvable) of the client machine, the date/time it started, the duration of the
connection, when this query was run, the current state of the connection and the
last query run.

To run repeatedly take the previous command line, put it in a bat file and add
it to the windows scheduler. This [StackOverFlow
question](https://stackoverflow.com/questions/4249542/run-a-task-every-x-minutes-with-windows-task-scheduler) shows how.
